Api reference
Stripe
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/stripe/create-checkout-session" \ -H "Content-Type: application/json" \ -d '{ "plan": "monthly" }'{ "success": true, "url": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
session_id*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/api/stripe/verify-session?session_id=string"{ "success": true, "status": "string"}curl -X POST "https://example.com/api/stripe/create-portal-session"{ "success": true, "url": "string"}curl -X GET "https://example.com/api/stripe/plans"{ "plans": [ null ]}